// HexViewAction.java
// Copyright 2004 by Andrew de Torres, Stephen Olao

package com.solano.plugin;

import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.DataConstants;
import com.intellij.openapi.vfs.VirtualFile;
import com.ureach.detorres.util.FileName;
import com.ureach.detorres.util.HexView;

import java.io.FileNotFoundException;
import java.io.IOException;

/**
 * An Action for displaying a HexViewer.
 *
 * @author Stephen Olano, poweribo@yahoo.com
 */
public class HexViewAction extends AnAction {

    public void actionPerformed(final AnActionEvent event) {
        VirtualFile vFile = (VirtualFile) event.getDataContext().getData(DataConstants.VIRTUAL_FILE);
        try {
            FileName fName = new FileName(vFile.getPath(), vFile.getName());
            HexView view = new HexView(fName);
            view.getFrame().setLocationRelativeTo(null);
            view.getFrame().show();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void main(final String[] args) {
        HexView.main(args);
    }
}

// eof "HexViewAction.java"
